Меню Рубрики

Установка кодеков для centos

Установка кодеков для centos

Для работы в полноценной рабочей станции на Linux очень часто требуется воспроизводить мультимедиа файлы различных форматов (видео, аудио). Red Hat удалила поддержку MP3 из своего дистрибутива Linux из-за патентного лицензирования и конфликтов между патентными лицензиями и лицензиями исходного кода приложения. Это произошло еще в сентябре 2002 года, когда вышел Red Hat 8.0 . Red Hat предоставила объяснения на своем сайте еще в 2003-2008 годах. Но теперь больше не дается объяснений. Вы просто не получаете кодеки, кодированные и декодированные совместно используемые библиотеки, с Red Hat. Из-за этого эти программы и библиотеки не доступны с клонами, такими как CentOS или с такими производными, как Oracle Linux или Scientific Linux. Есть способы исправить эту ситуацию. М ожно добавить MP3 и другие кодеки для аудио и видео плееров и других инструментов. В этой статье будет показано как это сделать. Работы будут проводиться на ОС Centos 7 на «чистой» установке. Будет показано как добавить необходимые репозитарии и какое ПО нужно будет установить.

Сторонние репозитарии.

Работа со сторонними репозитариями вызывает некоторые риски, поскольку они по-разным причинам теряли поддержку, были переименованы, стали ненадежными или исчезли. Некоторые из них просто устарели, как репозитарий DAG для RHEL с версии 2.1 по версию 5, или репозитарий rpm.livna.org , который слился с другими в RPM Fusion и поддерживало версии RHEL 5 и 6 . Затем был сайт SourceForge , который стал рассадником вредоносного ПО и вредоносной рекламы в 2013-2016 годах. SourceForge медленно возвращается, но это не очень подходит для решения нашей задачи.

RPMForge стал pkgs.repoforge.org , и теперь оба этих репозитария не обновляются. Страница этого репозитария в википедии начинается словами:
RepoForge (formerly RPMforge) is a dead project. It is not maintained. DO NOT USE.
Т.е. прямо говорится, что репозитарий умер и использовать его не рекомендуется. Эта же страница имеет ссылку на страницу сайта CentOS, на которой приведены те же слова:

RepoForge (formerly RPMforge) is a dead project. It is not maintained. DO NOT USE.

Добавление репозитариев.

Первый необходимый репозитарий: EPEL или Extra Packages для Enterprise Linux. Этот репозитарий поддерживается проектом Fedora. Данный репозитарий содержит великое множество ПО, но, к сожалению, для наших задач он не совсем подходит (отсутствует нужное ПО). Но без него не обойтись. Зависимости из сторонних репозитариев зачастую ведут именно на него. Подключить его не составляет проблем:

На все вопросы отвечаем «Да». По окончании смотрим список подключенных репозитариев:

Далее добавляем репозитарий Adobe. Устанавливаем Adobe Flash Player и плагины Java (если еще не установлены):

На все вопросы отвечаем «Да» и переходим к следующему этапу.

Следующий репозитарий, который будем использовать: Nux Dextop, настольная и мультимедийная коллекция RPM. Этот репозитарий использовался с 2012 года для пакетов RHEL 6 , а с начала 2016 года для пакетов RHEL 7 . Как говорилось выше, использование сторонних репозитариев не является абсолютно без рисковым, но этот, кажется, содержит достаточно хорошую и полезную коллекцию программного обеспечения. Но даже с ним возникают проблемы при обновлении основных репозитариев (обновление в нем имеет некий лаг по времени). Во всяком случае при возникновении таких проблем, его можно отключить, когда запускается обновление основной системы.

Добавляем ключ для репозитария Nux и проверяем его хеш:

Если вы получили значение хеша такое же, как указано выше, то импортируем ключ и добавляем репозитарий Nux:

Актуальное название rpm файла можно посмотреть непосредственно на сайте репозитария. Выводим список подключенных репозитариев:

И наконец устанавливаем для работы с мультимедиа необходимые пакеты (до кучи еще и ПО, необходимое для работы с виндовой файловой системой NTFS ):

В итоге получаем рабочую станцию с установленными несколькими медиаплеерами и кодеками воспроизведения музыки и видео. На этом все. Приятной работы.

источник

Настройка поддержки мультимедии в CentOS — Wiki CentOS

CentOS Полезные советы — Подключение закрытых кодеков (быстрый старт)

CentOS поставляется с основной поддержкой звука для аудио-контента, закодированного с помощью кодеков для различных звуковых файлов, таких как .wav и .ogg. Alsa утилиты и sox плеер-конвертер включены по умолчанию. XMMS довольно просто собрать из SRPMs. Популярный полнофункциональный плеер XMMS не установлен по умолчанию, вероятно в свете так называемой группы Фраунгофера, давшей ограничения лицензии на кодек mp3. (Внимание в 2010 году истекает срок патентных ограничений на кодек mp3.)

Для тех, чью юрисдикцию не затрагивают патентные ограничения, в дальнейшем будет описано как настроить поддержку мультимедиа под CentOS 5. После завершения выполнения шагов указанных ниже, вы сможете воспроизводить диски на компьютере, просматривать различные медиа-форматы, например Xvid, dvix, quicktime и т. д. Вы также будете иметь интеграцию mplayer как плагин браузера, который позволяет просматривать потоковое видео/аудио в Firefox.

К некоторым рекомендациям следует отнестись внимательно, особенно относящихся к плагину приоритетов Yum priorities. Это позволит избежать случайной перезаписи пакетов из базового репозитория. Также обратите внимание — команды должны быть выполнены под пользователем root в командной строке терминала.

Прежде чем начать, рассмотрите пожалуйста вики про priorities, в связи с тем, что мы добавляем некоторые сторонние репозитории.

Читайте также:  Установка lineage os на asus zenfone 2

Шаг 1: Добавление репозитория RPMForge (требуется для большинства мультимедийных файлов)

Смотрите данную статью о том, как это сделать.

Шаг 2: Добавление репозитория Macromedia (опционально необходимо для Flash)

Flash будет установлена также из RPMForge ниже, если вы не добавите репозиторий macromedia.

Шаг 3: Установка мультимедийных приложений (командная строка для установки необходимых пакетов)

Буде использован менеджер пакетов Yum, чтобы установить все пакеты для полной поддержки мультимедиа. Обратите внимание — будет много зависимостей.

Шаг 4: Установка кодеков w32codecs (требуются для XviD и других собственных форматов)

При возникновении проблем с установкой при помощи yum — скорее всего надо будет доустановить пакет dnsmasq:

Теперь вы должны иметь полную поддержку мультимедиа и видео для большинства популярных форматов.

источник

2 мин для чтения Как установить и использовать FFmpeg на CentOS 8

Главное меню » CentOS » Как установить и использовать FFmpeg на CentOS 8

В этой статье описывается, как установить FFmpeg на CentOS 8.

Установка FFmpeg на CentOS 8

FFmpeg недоступен в репозиториях CentOS 8 по умолчанию. Вы можете собрать инструменты FFmpeg из исходного кода или установить dnf из репозитория Negativo17. Мы пойдем со вторым вариантом.

Выполните следующие шаги для установки FFmpeg в CentOS 8:

    Репозиторий Negativo17 зависит от репозиториев EPEL и PowerTools. Запустите следующие команды как root или пользователь с привилегиями sudo, чтобы включить необходимые репозитории:

Как только репозитории включены, установите FFmpeg:

Проверьте установку FFmpeg, проверив его версию:

На момент написания этой статьи текущая версия FFmpeg, доступная в репозитории Negativo17, была 2.8.15.

Команда также покажет параметры конфигурации FFmpeg.

Вот и все. FFmpeg был установлен на вашем компьютере CentOS, и вы можете начать использовать его.

Использование FFmpeg

В этом разделе мы рассмотрим некоторые основные примеры использования утилиты ffmpeg.

Основное преобразование

При конвертации аудио и видео файлов с ffmpeg вам не нужно указывать форматы ввода и вывода. Формат входного файла определяется автоматически, а выходной формат определяется по расширению файла.

    Конвертируйте видео файл из mp4 в webm:

Конвертировать аудиофайл из mp3 в ogg:

Использование кодеков

При конвертации файлов используйте опцию -c для указания кодеков. Это может быть имя любого поддерживаемого декодера/кодера или специальное значение copy, которое просто копирует входной поток.

    Конвертируйте видеофайл из mp4 в webm, используя видеокодек libvpx и аудиокодек libvorbis:

Конвертируйте аудиофайл из mp3 в ogg, закодированный с помощью кодека libopus.

Вывод

Мы показали вам, как установить FFmpeg в CentOS 8. Теперь вы должны посетить официальную страницу документации FFmpeg и узнать, как использовать FFmpeg для преобразования ваших видео- и аудиофайлов.

Если вы столкнулись с проблемой или у вас есть отзыв, оставьте комментарий ниже.

Если вы нашли ошибку, пожалуйста, выделите фрагмент текста и нажмите Ctrl+Enter.

источник

Одминский блог

Блог о технологиях, технократии и методиках борьбы с граблями

Установка ffmpeg на CentOS

Прикупил тут под один видео-проект сервачок, и вроде написал довольно доступное ТЗ для сисадминов, чтобы настроили под ключ вешь фарш: apache, php, perl, mysql, ffmpeg.

Ну и получив отчет от админов, что все нормуль- стал разбираться и вижу что половину расширения для php не установили, но поскольку это весьма тривиально, ибо задаем поиск по имени расширения и видим, что нуно ставить. К примеру для mbstring
# yum search mbstring
php-mbstring.x86_64 : A module for PHP applications which need multi-byte string handling

А вот с ffmpeg пришлось пободаться, ибо я до этого его ни разу не ставил, а админы что то отмалчивались. Точнее бодаться пришлось мало, но оказалось что слишком много надо доставлять всякой ладубы в виде зависимостей и кодеков. Сам ffmpeg был нужен так как в решении основанном на CMS Drupal кодирование загружаемого видео происходило на стороне сервера-хранилища, так что кодировка ложилась на плечи не оператора сайта, а серверной площадки.

Ставил на CentOS 6.4, так что большая часть прилад была уже в системе, но все таки расписываю под ключ, добавив кучу бесполезных для меня кодеков, которые тем не менее может понадобиться завести в систему.

Для начала подключаем доп. репозиторий и обновляем имеющийся (у меня все шло через sudo, но полагаю не имеет смысла его повторять 100500 раз на странице, так что либо ставим sudo перед командой, либо работаем из под рута):
# rpm -Uhv http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.2-2.el6.rf.x86_64.rpm
# yum -y update

Устанавливаем необходимые в системе пакеты и часть кодеков, часть из которых еще и подтянет друзей:
# yum install autoconf automake gcc gcc-c++ git-core libtool make nasm pkgconfig zlib-devel glibc wget
# yum install SDL-devel a52dec a52dec-devel alsa-lib-devel faac faac-devel faad2 faad2-devel
# yum install freetype-devel giflib gsm gsm-devel imlib2 imlib2-devel lame lame-devel libICE-devel libSM-devel libX11-devel
# yum install libXau-devel libXdmcp-devel libXext-devel libXrandr-devel libXrender-devel libXt-devel
# yum install id3tag-devel libogg libvorbis vorbis-tools mesa-libGL-devel mesa-libGLU-devel xorg-x11-proto-devel xvidcore xvidcore-devel
# yum install amrnb-devel amrwb-devel
# yum install libtheora theora-tools
# yum install ncurses-devel
# yum install libdc1394 libdc1394-devel
# yum install yasm nasm
# yum install opencore-amr-devel

После этого переходим к ручной установке из сырцов, для чего создаем папочку в которую и будем класть все исходники, сразу исходя из того что каждый новый инстал начинается из этой папки:
# mkdir /tmp/ffmpeg-source
# cd /tmp/ffmpeg-source

Накатываем пакет наиболее часто используемых кодеков:
# wget http://www8.mplayerhq.hu/MPlayer/releases/codecs/all-20110131.tar.bz2
# bunzip2 all-20110131.tar.bz2
# tar xvf all-20110131.tar
# mkdir /usr/local/lib/codecs/
# mkdir /usr/local/lib64/codecs/
# cp all-20110131/* /usr/local/lib/codecs/
# cp all-20110131/* /usr/local/lib64/codecs/
# chmod -R 755 /usr/local/lib/codecs/
# chmod -R 755 /usr/local/lib64/codecs/

Устанавливаем LibOgg:
# wget http://downloads.xiph.org/releases/ogg/libogg-1.3.0.tar.gz
# tar xzvf libogg-1.3.0.tar.gz
# cd libogg-1.3.0
# ./configure
# make && make install

Устанавливаем Libvorbis:
# wget http://downloads.xiph.org/releases/vorbis/libvorbis-1.3.3.tar.gz
# tar xzvf libvorbis-1.3.3.tar.gz
# cd libvorbis-1.3.3
# ./configure
# make && make install

Устанавливаем Libtheora:
# wget http://downloads.xiph.org/releases/theora/libtheora-1.1.1.tar.gz
# tar xzvf libtheora-1.1.1.tar.gz
# cd libtheora-1.1.1
# ./configure
# make && make install

Устанавливаем Libvpx:
# git clone http://git.chromium.org/webm/libvpx.git
# cd libvpx
# ./configure –enable-shared
# make
# make && make install

Устанавливаем Aacenc:
# wget http://downloads.sourceforge.net/opencore-amr/vo-aacenc-0.1.2.tar.gz
# tar xzvf vo-aacenc-0.1.2.tar.gz
# cd vo-aacenc-0.1.2
# ./configure –enable-shared
# make && make install

Устанавливаем X264:
# git clone git://git.videolan.org/x264.git
# cd x264
# ./configure –enable-shared –extra-cflags=-fPIC –extra-asflags=-D__PIC__
# make
# make install

Теперь переходим к установке ffmpeg. Сначала настраиваем конфиг для библиотек
# export LD_LIBRARY_PATH=/usr/local/lib/
# echo /usr/local/lib > /etc/ld.so.conf.d/custom-libs.conf
# ldconfig

И собираем сам ffmpeg:
# git clone git://source.ffmpeg.org/ffmpeg.git
# cd ffmpeg
# git checkout n1.2
#
./configure –enable-version3 –enable-libopencore-amrnb –enable-libopencore-amrwb –enable-libvpx –enable-libfaac –enable-libmp3lame –enable-libtheora –enable-libvorbis –enable-libx264 –enable-libvo-aacenc –enable-libxv > # make && make install

Читайте также:  Установка feng office ошибка

Также можем докинуть в конфиг указанные ниже или какие либо другие дополнительные кодеки. Для 64битной системы указываем опочку –arch=x86_64
До кучи, еще можно докинуть парочку кодеков, в виде

источник

Установка кодеков в Ubuntu 18.04

После установки новенькой Ubuntu 18.04 LTS пользователь неизбежно столкнётся с тем, что не сможет посмотреть свежие видео как из интернета, так и локально, послушать музыку и так далее. Дело в том, что Ubuntu по умолчанию не содержит большую часть кодеков для аудио- и видеоформатов, поскольку те являются в ряде случаев проприетарными. Да, срок использования патентов на тот же MP3 истёк больше года назад, но другие форматы ещё находятся под действием защиты авторских прав.

Сегодня мы расскажем, как выполняется установка кодеков в Ubuntu 18.04 LTS, поскольку принцип отличается от той же Windows, где можно скачать K-lite и не ломать себе голову. Поехали!

Установка кодеков в Ubuntu

Пакет ubuntu-restricted-extras содержит основной набор кодеков, в том числе MP3, Flash и другие. Установить его можно двумя способами:

Через терминал. Для начала идёте в список программ и выбираете там Software & Updates.

В первой вкладке меняете сервер на основной (Main server);

На второй вкладке включаете галочки Canonical Partners и Canonical Partners (Source Code), затем закрываете Software & Updates.

Именно закрываете (Close или через иконку в правом верхнем углу) — не нажимайте Revert, это откатит изменения на дефолтные. Система спросит, хотите ли вы обновить список пакетов, нажимаете Да.

Чтобы установить кодеки Ubuntu 18.04 откройте терминал и введите там команду:

sudo apt install ubuntu-restricted-extras

Нажимаете Enter, вводите пароль от своей учётной записи и нажимаете y (регистр не важен).

После этого начнётся загрузка и установка кодеков мультимедиа, проприетарных шрифтов и прочего. Когда система выдаст запрос о разрешении установки шрифтов, нажмите Tab (подсветится OK), затем Enter, стрелками переходите на OK и снова Enter.


По окончании установки можете ещё инсталлировать пакет Pepper Flash Player. Он позволяет использовать в браузере Firefox плагины, построенные на основе интерфейса PPAPI (Pepper Plugin API). Иначе говоря — это актуальные версии Adobe Flash. В терминале вводим:

sudo apt install browser-plugin-freshplayer-pepperflash

Жмём Enter и ждём окончания установки. Также можно скачать пакеты вручную.

Идём по адресу https://launchpad.net/ubuntu/+source/ubuntu-restricted-extras, отыскиваем систему The Bionic Beaver (current stable release). Да, номеров здесь нет, так что ищем по названию.

Раскрываем список и выбираем нужный вариант. Будьте внимательны! Нужно скачать deb-пакет под свою архитектуру процессора и разрядность системы! Если у вас обычный ноутбук/ПК, то это архитектура x86 или x86-64 (скорее всего последняя, если железу не более 10 лет).

Выбираем пакет, в названии которого есть i386 или amd64, и скачиваем. Затем запускаем его локально. В результате у нас установлены все необходимые кодеки.

Установка кодеков для DVD в Ubuntu

Да, если вдруг вы любитель дисков или просто собрали хорошую коллекцию DVD, в терминале выполните команду:

sudo apt install libdvdnav4 libdvdread4 gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly libdvd-pkg

Это установит пакеты для работы с DVD-дисками. Поскольку диски также защищены копирайтами, по умолчанию инструментов для них в Bionic Beaver не предусмотрено. Однако команда выше решает проблему.

Выводы

В этой статье мы разобрали, как установить кодеки в Ubuntu 18.04 LTS. Теперь вы сможете открыть любой медиафайл в своей системе.

Оцените статью:

Об авторе

5 комментариев

Реагирует Миша Рыцаревъ: и а с чем связана то, что в дистре «Mate» кодеки по умолчанию уже есть? (У меня она в отличие от гномовской и mp3 и видео (может быть и всех форматов) воспроизводит (и в «Минт» все это раньше по умолчанию было, а теперь нет (а почему теперь нет?) И если у меня на флешке есть все те пакеты, то а как их установить с нее оффлайн? (Или с локального зеркала провайдера (а как таковое создавать?) Т.е. можно последовательно вручную один за одним через dpkg такие пакеты (и еще и в определенной последовательности) запускать и инсталлировать. Но это гемор. А тогда как «научить» такую ОС «подхватывать» и инсталлировать все с той папки в какой надо последовательности подряд?)

Читайте также:  Установка заглушек на канализацию смета

И в моей убунте «Mate» тем не менее эксперимента ради я все же запустил в командной строке ту указанную с той публикации команду по установке таких кодеков (она у меня с флешки в live-режиме работает). И вот, что у меня получилось-
▧ ubuntu-mate@ubuntu-mate:

$ sudo apt install ubuntu-restricted-extras
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Будут установлены следующие дополнительные пакеты:
cabextract chromium-codecs-ffmpeg-extra gstreamer1.0-fluendo-mp3
gstreamer1.0-libav gstreamer1.0-plugins-ugly gstreamer1.0-vaapi
libavcodec-extra libavcodec-extra57 libgstreamer-plugins-bad1.0-0 libmspack0
libopencore-amrnb0 libopencore-amrwb0 libsidplay1v5 libvo-amrwbenc0
ttf-mscorefonts-installer ubuntu-restricted-addons unrar
Предлагаемые пакеты:
gstreamer1.0-vaapi-doc sidplay-base
Пакеты, которые будут УДАЛЕНЫ:
libavcodec57
НОВЫЕ пакеты, которые будут установлены:
cabextract chromium-codecs-ffmpeg-extra gstreamer1.0-fluendo-mp3
gstreamer1.0-libav gstreamer1.0-plugins-ugly gstreamer1.0-vaapi
libavcodec-extra libavcodec-extra57 libgstreamer-plugins-bad1.0-0 libmspack0
libopencore-amrnb0 libopencore-amrwb0 libsidplay1v5 libvo-amrwbenc0
ttf-mscorefonts-installer ubuntu-restricted-addons ubuntu-restricted-extras
unrar
Обновлено 0 пакетов, установлено 18 новых пакетов, для удаления отмечено 1 пакетов, и 146 пакетов не обновлено.
Необходимо скачать 7 180 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 9 005 kB.
Хотите продолжить? [Д/н]
□ И что это все? Так всего много- что оно мне даст? (И там название пакета аддонов «Unrar» упомянуто. Это что, это такую ОС RAR-архивы он научит что ли распаковывать? (А то по умолчанию она не может такое понимать)).
▧ И на счет другого- на счет флешплагина (в «Хроме» он у меня есть, в «Firefox»- нет) у меня получается вот это-
ubuntu-mate@ubuntu-mate:

$ sudo apt install browser-plugin-freshplayer-pepperflash
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Будут установлены следующие дополнительные пакеты:
libevent-core-2.1-6 libevent-pthreads-2.1-6
Рекомендуемые пакеты:
adobe-flashplugin
НОВЫЕ пакеты, которые будут установлены:
browser-plugin-freshplayer-pepperflash libevent-core-2.1-6
libevent-pthreads-2.1-6
Обновлено 0 пакетов, установлено 3 новых пакетов, для удаления отмечено 0 пакетов, и 146 пакетов не обновлено.
Необходимо скачать 435 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 1 448 kB.
Хотите продолжить? [Д/н]
□ Нужно ли это мне?
▧ И на счет DVD у меня происходит это-
ubuntu-mate@ubuntu-mate:

$ sudo apt install libdvdnav4 libdvdread4 gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly libdvd-pkg
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Уже установлен пакет libdvdnav4 самой новой версии (6.0.0-1).
Уже установлен пакет libdvdread4 самой новой версии (6.0.0-1).
Будут установлены следующие дополнительные пакеты:
autoconf automake autopoint autotools-dev build-essential debhelper
dh-autoreconf dh-strip-nondeterminism dpkg-dev fakeroot freepats g++ g++-7
gcc gcc-7 libalgorithm-diff-perl libalgorithm-diff-xs-perl
libalgorithm-merge-perl libarchive-cpio-perl libasan4 libatomic1
libc-dev-bin libc6-dev libcilkrts5 libde265-0 libfakeroot
libfile-stripnondeterminism-perl libfluidsynth1 libgcc-7-dev
libgstreamer-plugins-bad1.0-0 libgupnp-igd-1.0-4 libitm1 liblilv-0-0
liblsan0 libltdl-dev libmail-sendmail-perl libmjpegutils-2.1-0 libmms0
libmodplug1 libmpeg2encpp-2.1-0 libmplex2-2.1-0 libmpx2 libnice10 libofa0
libopenal-data libopenal1 libopencore-amrnb0 libopencore-amrwb0 libquadmath0
libserd-0-0 libsidplay1v5 libsord-0-0 libsoundtouch1 libspandsp2
libsratom-0-0 libsrtp2-1 libstdc++-7-dev libsys-hostname-long-perl libtool
libtsan0 libubsan0 libvo-aacenc0 libvo-amrwbenc0 libwildmidi-config
libwildmidi2 libzbar0 linux-libc-dev m4 make manpages-dev po-debconf
Предлагаемые пакеты:
autoconf-archive gnu-standards autoconf-doc dh-make dwz debian-keyring
g++-multilib g++-7-multilib gcc-7-doc libstdc++6-7-dbg gcc-multilib flex
bison gcc-doc gcc-7-multilib gcc-7-locales libgcc1-dbg libgomp1-dbg
libitm1-dbg libatomic1-dbg libasan4-dbg liblsan0-dbg libtsan0-dbg
libubsan0-dbg libcilkrts5-dbg libmpx2-dbg libquadmath0-dbg frei0r-plugins
glibc-doc fluidr3mono-gm-soundfont | timgm6mb-soundfont | fluid-soundfont-gm
libtool-doc libportaudio2 serdi sidplay-base sordi libstdc++-7-doc gfortran
| fortran95-compiler gcj-jdk m4-doc make-doc libmail-box-perl
НОВЫЕ пакеты, которые будут установлены:
autoconf automake autopoint autotools-dev build-essential debhelper
dh-autoreconf dh-strip-nondeterminism dpkg-dev fakeroot freepats g++ g++-7
gcc gcc-7 gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly
libalgorithm-diff-perl libalgorithm-diff-xs-perl libalgorithm-merge-perl
libarchive-cpio-perl libasan4 libatomic1 libc-dev-bin libc6-dev libcilkrts5
libde265-0 libdvd-pkg libfakeroot libfile-stripnondeterminism-perl
libfluidsynth1 libgcc-7-dev libgstreamer-plugins-bad1.0-0 libgupnp-igd-1.0-4
libitm1 liblilv-0-0 liblsan0 libltdl-dev libmail-sendmail-perl
libmjpegutils-2.1-0 libmms0 libmodplug1 libmpeg2encpp-2.1-0 libmplex2-2.1-0
libmpx2 libnice10 libofa0 libopenal-data libopenal1 libopencore-amrnb0
libopencore-amrwb0 libquadmath0 libserd-0-0 libsidplay1v5 libsord-0-0
libsoundtouch1 libspandsp2 libsratom-0-0 libsrtp2-1 libstdc++-7-dev
libsys-hostname-long-perl libtool libtsan0 libubsan0 libvo-aacenc0
libvo-amrwbenc0 libwildmidi-config libwildmidi2 libzbar0 linux-libc-dev m4
make manpages-dev po-debconf
Обновлено 0 пакетов, установлено 74 новых пакетов, для удаления отмечено 0 пакетов, и 146 пакетов не обновлено.
Необходимо скачать 37,3 MB/63,1 MB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 174 MB.
Хотите продолжить? [Д/н]

В Ubuntu Mate (всегда делаю минимальную установку) в родном Software Boutique, есть установуа flash и пакета кодаков, которые сразу и устанавливаю. Кроме того, из плейеров сразу ставлю MPV — лучший на мой взхгляд проигрыватель. У него уже по умолчанию включено устранение чересстрочности и мн. другие фильтры. При установке он еще и тянет за собой кодеки и ряд необходимых библиотек. В итоге — все файлы проигрываются, качество изображения — на высшем уровне и НИКАКИХ глюков и возни с настройками, как в капризном VLC, например!

Вообще дела в linux с h264 и asf вообще плохо! Как раз на работе уже упрекнули линукс тем что понаставят линуксов и ничего не могут! Ненавижу линукс с сегодняшнего дня после 5 лет работы с ним!

Автор ,огромное тебе человеческое спасибо,за эту статью,ты мне очень помог сохранить нервы и мат.ценности.

$ sudo apt install ubuntu-restricted-extras
Reading package lists. Done
Building dependency tree
Reading state information. Done
E: Unable to locate package ubuntu-restricted-extras

источник